cd project || exit

# 如果已有文件目录，先删除
sudo rm -rf Takeaway

# 创建文件目录
sudo mkdir Takeaway && cd Takeaway || exit

# 从Git上拉取代码
git clone http://1.14.105.160:9211/ethereal/TakeawaySystemServer.git

# 进入项目目录，打包
cd Takeaway/TakeawaySystemServer || exit
mvn clean package -Dmaven.test.skip=true

# 如果已有镜像或已启动容器，先删除
sudo docker stop takeaway
sudo docker rm takeaway
sudo docker rmi takeaway

# 构建镜像
sudo docker build -t takeaway .

# 启动容器
sudo docker run -d -p 3536:3536 --restart=always --name takeaway takeaway
