package com.example.takeawaysystemserver.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author 慕华
 * @date 2024/7/7
 * @Version 1.0
 * @description http返回状态码
 */
@Getter
@AllArgsConstructor
public enum HttpStatus {

    SUCCESS(200,"操作成功"),

    BAD_REQUEST(400,"参数列表错误"),

    TOKEN_EXCEPTION(401,"token验证错误"),

    ERROR(500,"系统内部错误");

    private final Integer code;

    private final String desc;
}
