package com.example.takeawaysystemserver.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.example.takeawaysystemserver.entity.Dish;
import com.example.takeawaysystemserver.service.DishService;
import com.example.takeawaysystemserver.mapper.DishMapper;
import com.example.takeawaysystemserver.util.R;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author qiushengyu
* @description 针对表【dish】的数据库操作Service实现
* @createDate 2024-07-11 17:11:31
*/
@Service
public class DishServiceImpl extends ServiceImpl<DishMapper, Dish>
    implements DishService{

    @Override
    public R<List<Dish>> getDishes() {
        LambdaQueryWrapper<Dish> wrapper = new LambdaQueryWrapper<Dish>();
        return R.ok(list(wrapper));
    }
}




